Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.delegate
Interface ConnectionDelegate

All Superinterfaces:
  Closeable, ConnectionEndpoint

All Known Implementing Classes:
  ClientConnectionDelegate

public interface ConnectionDelegate
extends ConnectionEndpoint

Represents the minimal set of operations to provide connection functionality. Some of the methods may be implemented on the server, others will be handled in the advice stack.

Version:
  `$Revision: 1.23 $` $Id: ConnectionDelegate.java,v 1.23 2005/12/27 22:00:45 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Method Summary
`JBossConnectionConsumer` | `createConnectionConsumer(Destination dest, java.lang.String subscriptionName, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
`ConnectionMetaData` | `getConnectionMetaData()`
`ExceptionListener` | `getExceptionListener()`
`void` | `setExceptionListener(ExceptionListener listener)`

Methods inherited from interface org.jboss.jms.server.endpoint.ConnectionEndpoint
`createSessionDelegate, getClientID, getPreparedTransactions, sendTransaction, setClientID, start, stop`

Methods inherited from interface org.jboss.jms.client.Closeable
`close, closing`

Method Detail

### getExceptionListener

    public ExceptionListener getExceptionListener()
                                           throws JMSException

  Throws:
    `JMSException`

### setExceptionListener

    public void setExceptionListener(ExceptionListener listener)
                              throws JMSException

  Throws:
    `JMSException`

### getConnectionMetaData

    public ConnectionMetaData getConnectionMetaData()
                                             throws JMSException

  Throws:
    `JMSException`

### createConnectionConsumer

    public JBossConnectionConsumer createConnectionConsumer(Destination dest,
                                                            java.lang.String subscriptionName,
                                                            java.lang.String messageSelector,
                                                            ServerSessionPool sessionPool,
                                                            int maxMessages)
                                                     throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.